package market.Mes.Report.mapper;

import java.util.HashMap;
import java.util.List;

import market.Mes.Report.vo.ReportQmsUnplanned;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface ReportQmsUnplannedMapper extends GenericMapper<ReportQmsUnplanned,Object> {
	
	//获取各机组的原料和产量
	public List<HashMap> doQueryMaterial_4mm(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_3mm(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_th(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_pz(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_zj(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_sx(String machine,String startTime,String endTime);
	
	//获取各机组的原料和产量 合计
	public List<HashMap> doQueryMaterial_4mmSum(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_3mmSum(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_thSum(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_pzSum(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_zjSum(String machine,String startTime,String endTime);
	public List<HashMap> doQueryMaterial_sxSum(String machine,String startTime,String endTime);
	
	//获取各机组的非计划总量明细
	public List<HashMap> doQueryMaterialF_4mm(String machine,String startTime,String endTime,String wrk_grp);
	public List<HashMap> doQueryMaterialF_3mm(String machine,String startTime,String endTime,String wrk_grp);
	public List<HashMap> doQueryMaterialF_th(String machine,String startTime,String endTime,String wrk_grp);
	public List<HashMap> doQueryMaterialF_pz(String machine,String startTime,String endTime,String wrk_grp);
	public List<HashMap> doQueryMaterialF_zj(String machine,String startTime,String endTime,String wrk_grp);
	public List<HashMap> doQueryMaterialF_sx(String machine,String startTime,String endTime,String wrk_grp);
	
	//获取各机组的【外观】非计划总量明细
	public List<HashMap> doQueryMaterialWF_4mm(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	public List<HashMap> doQueryMaterialWF_3mm(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	public List<HashMap> doQueryMaterialWF_th(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	public List<HashMap> doQueryMaterialWF_pz(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	public List<HashMap> doQueryMaterialWF_zj(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	public List<HashMap> doQueryMaterialWF_sx(String machine,String startTime,String endTime,String wrk_grp,String flaw_type);
	
	//获取各机组的【公差】【性能】非计划总量明细
	public List<HashMap> doQueryMaterialGXF_4mm(String machine,String startTime,String endTime,String wrk_grp,String g_X);
	public List<HashMap> doQueryMaterialGXF_3mm(String machine,String startTime,String endTime,String wrk_grp,String g_X);
	public List<HashMap> doQueryMaterialGXF_th(String machine,String startTime,String endTime,String wrk_grp,String g_X);
	public List<HashMap> doQueryMaterialGXF_pz(String machine,String startTime,String endTime,String wrk_grp,String g_X);
	public List<HashMap> doQueryMaterialGXF_zj(String machine,String startTime,String endTime,String wrk_grp,String g_X);
	public List<HashMap> doQueryMaterialGXF_sx(String machine,String startTime,String endTime,String wrk_grp,String g_X);
		
		
}
